Skip to main content
PUT
/
v1
/
tags
/
{id}
Update a tag
curl --request PUT \
  --url http://0.0.0.0:3000/v1/tags/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "Quarto principal"
}
'
{
  "id": 1,
  "name": "Quarto principal",
  "tag_id": "TAG-ABC123",
  "icon": "mdi:tag",
  "color": "#2196F3",
  "user_id": "user_abc123",
  "org_id": null,
  "created_at": "2026-03-17T10:00:00Z"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-Organization-Id
string

ID da organização para contexto (opcional). Quando presente, filtra recursos da org.

Path Parameters

id
integer
required

ID numérico da tag

Body

application/json
name
string
required

Novo nome da tag

Response

Tag updated

id
integer
name
string
tag_id
string
icon
string | null
color
string | null
user_id
string
org_id
string | null
created_at
string<date-time>